DigestSchemeFactory (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.auth
Class DigestSchemeFactory

    java.lang.Object
      org.apache.http.impl.auth.DigestSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory, AuthSchemeProvider

    @Contract(threading=IMMUTABLE)
    public class DigestSchemeFactory

extends Object
implements AuthSchemeFactory, AuthSchemeProvider

`AuthSchemeProvider` implementation that creates and initializes `DigestScheme` instances.

Since:
  4.0

Constructor Summary
`DigestSchemeFactory()`
`DigestSchemeFactory(Charset charset)`

Method Summary
`AuthScheme` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.
`AuthScheme` | `newInstance(org.apache.http.params.HttpParams params)` Creates an instance of `AuthScheme` using given HTTP parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigestSchemeFactory

    public DigestSchemeFactory(Charset charset)

Since:
  4.3

### DigestSchemeFactory

    public DigestSchemeFactory()

Method Detail

### newInstance

    public AuthScheme newInstance(org.apache.http.params.HttpParams params)

  Description copied from interface: `AuthSchemeFactory`
  Creates an instance of `AuthScheme` using given HTTP parameters.

  Specified by:
    `newInstance` in interface `AuthSchemeFactory`
  Parameters:
    `params` - HTTP parameters.
  Returns:
    auth scheme.

### create

    public AuthScheme create(org.apache.http.protocol.HttpContext context)

  Description copied from interface: `AuthSchemeProvider`
  Creates an instance of `AuthScheme`.

  Specified by:
    `create` in interface `AuthSchemeProvider`
  Returns:
    auth scheme.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.